Subject: Re: Device tree aware EMAC driver

From: Olof Johansson <[email-masked]>
Date: Fri, 10 Aug 2007 22:51:16 -0500

On Tue, Aug 07, 2007 at 04:22:31PM +1000, David Gibson wrote:

> This driver is designed to sit alongside the old driver (it lies in
> drivers/net/ibm_emac and this one in drivers/net/ibm_newemac).  The
> old driver is left in place to support arch/ppc until arch/ppc itself
> reaches its final demise (not too long now, with luck).

I would very much prefer if the patch was provided as first a pure copy
without changes, then the actual diffs on top of that. The way it is now
is just a huge blob that's harder to review than it would otherwise be.

-Olof